Subject: Re: [COSE] Magnus Westerlund's Discuss on draft-ietf-cose-x509-07: (with DISCUSS)

From: Ivaylo Petrov <[email-masked]>
Date: Sun, 13 Dec 2020 23:12:39 +0100

Hello Magnus,

Thank you for your review and apologies for the delay! I have changed the
document status as you requested. The change could be seen in commitdf4c50d
<https://github.com/cose-wg/X509/commit/df4c50d312e0a0f243130ab779ecb992f9f80a8e>
.
I have some technical difficulties and after they are resolved, I will
upload a new version of the draft. After that I will work with Barry Leiba
to have the new IETF last call.

Best regards,
Ivaylo

On Thu, Oct 22, 2020 at 2:18 PM Magnus Westerlund via Datatracker <
[email-masked]> wrote:

> Magnus Westerlund has entered the following ballot position for
> draft-ietf-cose-x509-07: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-cose-x509/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> I think the topic should be fairly easily to resolve one way or another.
> However, even after having read the reply to Marin's comment I don't think
> this
> document is published with the right status.
>
> - The document defines new CBOR attributes, that is standard track work as
> it
> comes out as consensus document from a IETF WG. - It does not define or
> document crypto algorithm just refer to existing ones. - The charter item
> might
> have been reasonable as informational if existing attributes could have
> been
> used. With the choice to define new attributes I think this has entered
> standards track. - The status of the document I think will also affect the
> value that IANA might assign to these COSE Header Parameters.
>
> If there are additional considerations I am happy to learn about them.
>
> Else, I would propose a change of status to proposed standard and redo the
> IETF
> last call.
>
>
>
>
>
>

---

From: Ivaylo Petrov <[email-masked]>
Date: Sun, 13 Dec 2020 23:13:24 +0100

Hi Laurence,

That sounds great!

- Ivaylo

On Fri, Oct 23, 2020 at 9:11 PM Laurence Lundblade <[email-masked]>
wrote:

> We had a good discussion on key / cert identification for EAT / RATS at
> our virtual interim meeting today. There seems to be consensus support for
> use of cose-x509.
>
> LL
>
>
> On Oct 22, 2020, at 11:17 AM, Laurence Lundblade <[email-masked]>
> wrote:
>
> I would like to see it as standards track.
>
> I would like EAT / RATS to make normative reference to it. Some forms of
> Attestation use Endorsements to convey a signature verification key to the
> Verifier and some Endorsements are in the form of an X.509 certificate.
>
> I will present some of this at the RATS virtual interim tomorrow
> <https://datatracker.ietf.org/doc/agenda-interim-2020-rats-06-rats-01/>.
> Slides are here
> <https://datatracker.ietf.org/doc/slides-interim-2020-rats-06-sessa-eat-verification-id-and-other-updates/>.
> This is why I’ve been so interested in this lately.
>
> Also, it seems pretty important for COSE to be usable with the all the
> X.509 infrastructure out there.
>
> LL
>
>
> On Oct 22, 2020, at 5:18 AM, Magnus Westerlund via Datatracker <
> [email-masked]> wrote:
>
> ...
> _______________________________________________
> COSE mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cose
>
>
> _______________________________________________
> COSE mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cose
>
>
>

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 15 Dec 2020 08:41:53 +0000

Hi,

It sounds good that you are making progress.

Barry, do you plan to make this an returing item to the IESG telechat when it is
ready due to its elevated status?

Cheers

Magnus

On Sun, 2020-12-13 at 23:12 +0100, Ivaylo Petrov wrote:
> document status as you requested. The change could be seen in commitdf4c50d .
> I have some technical difficulties and after they are resolved, I will upload
> a new version of the draft. After that I will work with Barry Leiba to have
> the new IETF last call.
> 
> Best regards,
> Ivaylo
> 
> 
> > have been reasonable as informational if existing attributes could have been

---

From: Barry Leiba <[email-masked]>
Date: Tue, 15 Dec 2020 15:29:04 -0500

Indeed, it will get a new IETF last call, and then come back on the IESG agenda.

b